CheckableComponentSpec (Gradle API 9.7.1)
Description: declaration: package: org.gradle.api, interface: CheckableComponentSpec

# Interface CheckableComponentSpec

All Superinterfaces:
  `ComponentSpec, ModelElement, Named`

All Known Subinterfaces:
  `ApplicationBinarySpec, BinarySpec, CUnitTestSuiteBinarySpec, GoogleTestTestSuiteBinarySpec, LibraryBinarySpec, NativeBinarySpec, NativeExecutableBinarySpec, NativeLibraryBinarySpec, NativeTestSuiteBinarySpec, SharedLibraryBinarySpec, StaticLibraryBinarySpec, TestSuiteBinarySpec`

All Known Implementing Classes:
  `org.gradle.api.internal.AbstractBuildableComponentSpec, org.gradle.language.base.internal.AbstractLanguageSourceSet, BaseBinarySpec, BaseLanguageSourceSet`

@Incubating @Deprecated public interface CheckableComponentSpec extends ComponentSpec
Deprecated.
A `ComponentSpec` that is directly checkable via a specified task.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkedBy(Object... tasks)`
  Deprecated.
  Adds tasks required to check this component.
  `@Nullable Task`
  `getCheckTask()`
  Deprecated.
  Returns the task responsible for checking this component.
  `void`
  `setCheckTask(@Nullable Task checkTask)`
  Deprecated.
  Specifies the task responsible for checking this component.

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

- ## Method Details

  - ### getCheckTask

    @Nullable Task getCheckTask()
    Deprecated.
    Returns the task responsible for checking this component.

  - ### setCheckTask

    void setCheckTask(@Nullable Task checkTask)
    Deprecated.
    Specifies the task responsible for checking this component.

  - ### checkedBy

    void checkedBy(Object... tasks)
    Deprecated.
    Adds tasks required to check this component. Tasks added this way are subsequently added as dependencies of this component's `check task`.